# Method: chromeosdevices.moveDevicesToOu

Moves or inserts multiple Chrome OS devices to an organizational unit. You can move up to 50 devices at once.

### HTTP request

`POST https://admin.googleapis.com/admin/directory/v1/customer/{customerId}/devices/chromeos/moveDevicesToOu`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customerId` | `string` Immutable. ID of the Google Workspace account |

### Query parameters

| Parameters ||
|---|---|
| `orgUnitPath` | `string` Full path of the target organizational unit or its ID |

### Request body

The request body contains an instance of `https://developers.google.com/workspace/admin/directory/reference/rest/v1/chromeosdevices/moveDevicesToOu#ChromeOsMoveDevicesToOu`.

### Response body

If successful, the response is a generic HTTP response whose format is defined by the method.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admin.directory.device.chromeos`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).

## ChromeOsMoveDevicesToOu

| JSON representation |
|---|
| ``` { "deviceIds": [ string ] } ``` |

| Fields ||
|---|---|
| `deviceIds[]` | `string` Chrome OS devices to be moved to OU |